---
title: List tenancy products
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > OCI Integration
---

# List tenancy products{% #list-tenancy-products %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/oci/products |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/oci/products |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/oci/products      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/oci/products      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/oci/products  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/oci/products     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/oci/products |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/oci/products |

### Overview

Lists the products for a given tenancy. Returns the enabled/disabled status of Datadog products (such as Cloud Security Posture Management) for specific OCI tenancies.

### Arguments

#### Query Strings

| Name                          | Type   | Description                                        |
| ----------------------------- | ------ | -------------------------------------------------- |
| productKeys [*required*] | string | Comma-separated list of product keys to filter by. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of OCI tenancy product resources with their product enablement status.

| Parent field | Field                  | Type     | Description                                                                                                           |
| ------------ | ---------------------- | -------- | --------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*] | [object] | List of OCI tenancy product resource objects.                                                                         |
| data         | attributes             | object   | Attributes of an OCI tenancy product resource, containing the list of available products and their enablement status. |
| attributes   | products               | [object] | List of Datadog products and their enablement status for the tenancy.                                                 |
| products     | enabled                | boolean  | Indicates whether the product is enabled for the tenancy.                                                             |
| products     | product_key            | string   | The unique key identifying the Datadog product (for example, CLOUD_SECURITY_POSTURE_MANAGEMENT).                      |
| data         | id                     | string   | The OCID of the OCI tenancy.                                                                                          |
| data         | type [*required*] | enum     | OCI tenancy product resource type. Allowed enum values: `oci_tenancy_product`                                         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "products": [
          {
            "enabled": true,
            "product_key": "CLOUD_SECURITY_POSTURE_MANAGEMENT"
          }
        ]
      },
      "id": "ocid.tenancy.test",
      "type": "oci_tenancy_product"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export productKeys="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/oci/products?productKeys=${productKeys}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List tenancy products returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.oci_integration_api import OCIIntegrationApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OCIIntegrationApi(api_client)
    response = api_instance.list_tenancy_products(
        product_keys="productKeys",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List tenancy products returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OCIIntegrationAPI.new
p api_instance.list_tenancy_products("productKeys")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List tenancy products returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOCIIntegrationApi(apiClient)
	resp, r, err := api.ListTenancyProducts(ctx, "productKeys")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OCIIntegrationApi.ListTenancyProducts`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OCIIntegrationApi.ListTenancyProducts`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List tenancy products returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OciIntegrationApi;
import com.datadog.api.client.v2.model.TenancyProductsList;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OciIntegrationApi apiInstance = new OciIntegrationApi(defaultClient);

    try {
      TenancyProductsList result = apiInstance.listTenancyProducts("productKeys");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OciIntegrationApi#listTenancyProducts");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List tenancy products returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_oci_integration::OCIIntegrationAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = OCIIntegrationAPI::with_config(configuration);
    let resp = api.list_tenancy_products("productKeys".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List tenancy products returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OCIIntegrationApi(configuration);

const params: v2.OCIIntegrationApiListTenancyProductsRequest = {
  productKeys: "productKeys",
};

apiInstance
  .listTenancyProducts(params)
  .then((data: v2.TenancyProductsList) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
